Your message dated Tue, 15 Dec 2015 00:35:19 +0000
with message-id <e1a8daj-0003fj...@franck.debian.org>
and subject line Bug#798162: fixed in node-leveldown 1.4.1+dfsg-1
has caused the Debian Bug report #798162,
regarding node-leveldown: FTBFS when rebuilt against libleveldb1v5 (GCC-5 
transition)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
798162: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=798162
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: node-leveldown
Version: 1.0.0+dfsg-1
Severity: serious
Tags: sid stretch
User: debian-...@lists.debian.org
Usertags: libstdc++-cxx11

Hi,

The node-leveldown package FTBFS when we attempted to rebuild it
against libleveldb1v5 for the GCC-5 transition:

"""
gyp info spawn args [ 'BUILDTYPE=Release', '-C', 'build' ]
make[2]: Entering directory '/«BUILDDIR»/node-leveldown-1.0.0+dfsg/build'
  CXX(target) Release/obj.target/leveldown/src/batch.o
[... more issues here ...]
In file included from ../src/database.h:18:0,
                 from ../src/batch.cc:5:
../src/leveldown.h:78:28: error: 'NanGetCurrentContext' was not declared in 
this scope
       NanGetCurrentContext()->Global(), callback, argc, argv);
                            ^
../src/batch.cc:146:5: note: in expansion of macro 'LD_RUN_CALLBACK'
     LD_RUN_CALLBACK(v8::Local<v8::Function>::Cast(args[0]), 0, NULL);
     ^
../src/leveldown.h:78:61: error: 'NanMakeCallback' was not declared in this 
scope
       NanGetCurrentContext()->Global(), callback, argc, argv);
                                                             ^
../src/batch.cc:146:5: note: in expansion of macro 'LD_RUN_CALLBACK'
     LD_RUN_CALLBACK(v8::Local<v8::Function>::Cast(args[0]), 0, NULL);
     ^
../src/batch.cc:149:22: error: 'NanReturnUndefined' was not declared in this 
scope
   NanReturnUndefined();
                      ^
make[2]: *** [Release/obj.target/leveldown/src/batch.o] Error 1
leveldown.target.mk:88: recipe for target 
'Release/obj.target/leveldown/src/batch.o' failed
"""

Thanks,
~Niels

--- End Message ---
--- Begin Message ---
Source: node-leveldown
Source-Version: 1.4.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
node-leveldown, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 798...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felipe Sateler <fsate...@debian.org> (supplier of updated node-leveldown 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 Dec 2015 21:21:33 -0300
Source: node-leveldown
Binary: node-leveldown
Architecture: source
Version: 1.4.1+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Felipe Sateler <fsate...@debian.org>
Description:
 node-leveldown - LevelDB bindings - Node.js module
Closes: 798162
Changes:
 node-leveldown (1.4.1+dfsg-1) unstable; urgency=medium
 .
   * Team upload
   * New upstream release
     - Fix build against newer nan. Closes: #798162
   * Bump dependency versions
Checksums-Sha1:
 d586f9a6f33f0072fe363d9567571959fcc9b32c 2127 node-leveldown_1.4.1+dfsg-1.dsc
 96e38cb1bbdebfc0ac67d02289ae9651b55fa58f 39387 
node-leveldown_1.4.1+dfsg.orig.tar.gz
 0ef57cba03c08415d1d8faa1113af79ec562ae62 3852 
node-leveldown_1.4.1+dfsg-1.debian.tar.xz
Checksums-Sha256:
 9b519b9c6b8f7e680a52d968958d8c030308cdabb4dc746323a32ba5c7b6b3f5 2127 
node-leveldown_1.4.1+dfsg-1.dsc
 48e12d1e768518d821666d52bebd4377dc065e84cdc2d8984a836c9bc1fa60cc 39387 
node-leveldown_1.4.1+dfsg.orig.tar.gz
 155305e83dd310f639325b9b07e2f25de0acebf1ded51fd2eceed4ff73852f60 3852 
node-leveldown_1.4.1+dfsg-1.debian.tar.xz
Files:
 9786e327b04f39a092b81f5ac825e053 2127 web extra node-leveldown_1.4.1+dfsg-1.dsc
 dcbb6952b49c0fd66e213d4daa399ddf 39387 web extra 
node-leveldown_1.4.1+dfsg.orig.tar.gz
 a4e5894615d34a81dd3949fe32234b34 3852 web extra 
node-leveldown_1.4.1+dfsg-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJWb11nAAoJEKO6uuJAjdbPCA8P/02v+E4Cx/Gw/iIQJTkNChar
aihRxoLCZJzXWA8k9sbiOI4ml9P3Q7EF02zAtCZ9NmbT9cE8oLYu1nXcFFc0mgZV
D8aa1YnK+cOE7jTyLRo+iMr9tFx4RLXkQS4xOnfpys53426nE9QjcQny7MjPF+bc
PABkaM1o8UdsKc2AG4KXJBmgwuvjdwk9oD3L2vm0Y54Q27awpecgu5+urwtbJCms
DdsUrmqNh1LvhOqtl6xH3HLfeJcVp0EK3Fl86/JfxDLO6oY8Xvho1COUTCi3PD73
eIDtm4PShHaFi5EUMqdatEdH75gOdY7FHV6EPqyjB4aLj5RADMCfpxiw38sGr8n2
cCdh2H2HUpgfR5WNmQJYCWzULLpWtR5vaRVTTZfXxOo/V3S+bOYkl4kuZ5spcjxw
+kJnqhNBScEsFe7UNAN8qfx2x7M2N6z56AecXz5UshFtXrteChTaLEW+h0BgPA8j
uE+9ZN9U1JICfShbP2zcFxSmO7UoP250kKtvw0L5p6/XS0TY/UUGJ/WdgTzkFncM
t6OhOVcon1z9qb1i9EMwGy0Y7Cebk1jR6z2g/3iRuZbIzorLA20gaChLq3/nSyvE
zvd0LvjjGD1Z/3kAFt77K17AzTBFamvjJrL6zVOdwiWZ1Gqs3QfF+TdWcWyrwk9Y
n5FHpBPPiAp+r+i5yIWO
=IYnL
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to